
Network Tools - Bug #2182

Batch creation can fail

01/23/2018 07:21 PM - Luke Murphey

Status: Closed Start date: 01/23/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.2   

Description

Error is:

Uncaught ReferenceError: stanza_base is not defined

    at child.generateStanza (http://127.0.0.1:8000/en-US/static/@c8a78efdd40f.1259/app/network_too

ls/js/views/BatchInputCreateView.js:110:15)

    at child.createInput (http://127.0.0.1:8000/en-US/static/@c8a78efdd40f.1259/app/network_tools/

js/views/BatchInputCreateView.js:138:23)

    at child.createNextInput (http://127.0.0.1:8000/en-US/static/@c8a78efdd40f.1259/app/network_to

ols/js/views/BatchInputCreateView.js:265:33)

    at child.<anonymous> (http://127.0.0.1:8000/en-US/static/@c8a78efdd40f.1259/app/network_tools/

js/views/BatchInputCreateView.js:266:27)

    at fire (http://127.0.0.1:8000/en-US/static/@6390177EB0E2F909B6F0B541A53C64A297F96E2802EC2689F

27767164EBFC381.1259/build/pages/enterprise/common.js:25:2803)

    at Object.fireWith [as resolveWith] (http://127.0.0.1:8000/en-US/static/@6390177EB0E2F909B6F0B

541A53C64A297F96E2802EC2689F27767164EBFC381.1259/build/pages/enterprise/common.js:25:3992)

    at Object.deferred.(anonymous function) [as resolve] (http://127.0.0.1:8000/en-US/static/@6390

177EB0E2F909B6F0B541A53C64A297F96E2802EC2689F27767164EBFC381.1259/build/pages/enterprise/common.js

:25:5325)

    at child.<anonymous> (http://127.0.0.1:8000/en-US/static/@c8a78efdd40f.1259/app/network_tools/

js/views/BatchInputCreateView.js:183:21)

    at fire (http://127.0.0.1:8000/en-US/static/@6390177EB0E2F909B6F0B541A53C64A297F96E2802EC2689F

27767164EBFC381.1259/build/pages/enterprise/common.js:25:2803)

    at Object.fireWith (http://127.0.0.1:8000/en-US/static/@6390177EB0E2F909B6F0B541A53C64A297F96E

2802EC2689F27767164EBFC381.1259/build/pages/enterprise/common.js:25:3992)

Related issues:

Related to Modular Input - Bug #2187: Domain name validation is too strict Closed 01/25/2018

Associated revisions

Revision 246 - 01/24/2018 08:19 PM - lukemurphey

Fixing issue where input creation would not work in some cases when the input name already exists

Closes #2182

Revision 250 - 01/25/2018 07:13 PM - lukemurphey

Allowing batch input creation even if the list contains spaces

Reference #2182

History

#1 - 01/23/2018 07:23 PM - Luke Murphey

- Subject changed from Batch create can fail to Batch creation can fail
#3 - 01/23/2018 07:25 PM - Luke Murphey

Can try with this string:

127.0.0.1,127.0.0.2,127.0.0.3,127.0.0.4,127.0.0.5,127.0.0.6,127.0.0.7,127.0.0.8,127.0.0.9,127.0.0.10,127.0.0.1

1,127.0.0.12,127.0.0.13,127.0.0.14,127.0.0.15,127.0.0.16,127.0.0.17,127.0.0.18,127.0.0.19,127.0.0.20,127.0.0.2

1,127.0.0.22,127.0.0.23,127.0.0.24,127.0.0.25,127.0.0.26,127.0.0.27,127.0.0.28,127.0.0.29,127.0.0.30,127.0.0.3

1,127.0.0.32,127.0.0.33,127.0.0.34,127.0.0.35,127.0.0.36,127.0.0.37,127.0.0.38,127.0.0.39,127.0.0.40,127.0.0.4

1,127.0.0.42,127.0.0.43,127.0.0.44,127.0.0.45,127.0.0.46,127.0.0.47,127.0.0.48,127.0.0.49,127.0.0.50,127.0.0.5

1,127.0.0.52,127.0.0.53,127.0.0.54,127.0.0.55,127.0.0.56,127.0.0.57,127.0.0.58,127.0.0.59,127.0.0.60,127.0.0.6

1,127.0.0.62,127.0.0.63,127.0.0.64,127.0.0.65,127.0.0.66,127.0.0.67,127.0.0.68,127.0.0.69,127.0.0.70

 

s = "" 

for i in range(1, 71):

    s += ",127.0.0." + str(i)

print s

#4 - 01/24/2018 08:20 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-network-tools-svn|r246.

#5 - 01/25/2018 06:31 AM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 70

#6 - 01/25/2018 06:39 PM - Luke Murphey

- Related to Bug #2187: Domain name validation is too strict added

#7 - 01/25/2018 07:07 PM - Luke Murphey

Spaces are currently not allowed between the characters:

127.0.0.1, 127.0.0.2, 127.0.0.3, 127.0.0.4, 127.0.0.5, 127.0.0.6

#8 - 01/25/2018 07:14 PM - Luke Murphey
https://lukemurphey.net/projects/network-tools/repository/revisions/246


- Status changed from In Progress to Closed

- % Done changed from 70 to 100
